edu.msu.cme.rdp.classifier.train.validation.crossvalidate

## Class RdmSelectTaxon

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.crossvalidate.RdmSelectTaxon

    public class RdmSelectTaxon
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RdmSelectTaxon()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static java.util.Set<java.lang.String>` `randomSelectTaxon(java.io.File tax_file, java.io.File source_file, float fraction, java.lang.String rank)` Random select taxa at given rank, and return all the sequence IDs assigned to the selected taxa.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RdmSelectTaxon

    public RdmSelectTaxon()

### Method Detail

#### randomSelectTaxon

    public static java.util.Set<java.lang.String> randomSelectTaxon(java.io.File tax_file,
                                                    java.io.File source_file,
                                                    float fraction,
                                                    java.lang.String rank)
                                                             throws java.io.IOException

Random select taxa at given rank, and return all the sequence IDs assigned to the selected taxa.

Parameters:
  `tax_file` -
  `source_file` -
  `fraction` -
  `rank` -
Returns:
Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`